.chatOuterContainer{
    position: relative;
    width: 100%;
    height: 100%;
    margin: 0 0 0 0;
    padding: 10px 5px 0 5px;
    background-color: #f8f8f8;
}
.chatMessageOuterContainer {
    position: relative;
    width: 100%;
    height: 100%;
}
.chatMessageContainer {
    position: absolute;
    left: 0px;
    top: 0px;
    bottom: 95px;
    right: 0px;
    overflow-y: auto;
}
.chatInputContainer {
    position: absolute;
    left: 10px;
    height: 50px;
    bottom: 40px;
    right: 10px;
    border: solid 1px #EEEEEE;
    border-radius: 20px;
    background-color: #ffffff;
}
.chatInputMsgContainer {
    position: absolute;
    left: 0px;
    height: 100%;
    top: 0px;
    right: 95px;
}
.chatInputMsg {
    position: absolute;
    top: 5px;
    left: 5px;
    right: 5px;
    bottom: 5px;
    line-height: 40px;
    height: 40px;
    border-radius: 20px;
    border-style: none;
    text-indent: 10px;
}
.chatSendBtnContainer {
    position: absolute;
    right: 0px;
    height: 100%;
    top: 0px;
    width: 100px;
}
.chatSendBtn {
    position: absolute;
    top: 5px;
    left: 5px;
    border-radius: 20px;
    width: 90px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    background-color: #0e5ba3;
    color: #ffffff;
    cursor: pointer;
}
.chatSendBtn:hover{
    background-color: #4081be;
    font-weight: 600;
}
.chatCancelBtnContainer {
    position: absolute;
    right: 0px;
    height: 100%;
    top: 0px;
    width: 100px;
    display: none;
}
.chatCancelBtn {
    position: absolute;
    top: 5px;
    left: 5px;
    border-radius: 20px;
    width: 90px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    background-color: #0e5ba3;
    color: #ffffff;
    cursor: pointer;
}
.chatCancelBtn:hover{
    background-color: #4081be;
    font-weight: 600;
}
.chatAlertContainer {
    position: absolute;
    left: 0px;
    bottom: 0px;
    height: 30px;
    right: 0px;
    overflow-y: auto;
}
.chatAlertText {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    line-height: 20px;
    font-size: 13px;
    color: #999999;
}
.chatConversationItem{
    position: relative;
    height: 40px;
    width: 100%;
    cursor: pointer;
}
.chatConversationTitle{
    position: absolute;
    left: 0px;
    top: 0px;
    height: 100%;
    line-height: 40px;
    right: 85px;
    text-indent: 10px;
    white-space: nowrap; /* 不换行 */
    overflow: hidden; /* 隐藏超出部分 */
    text-overflow: ellipsis; /* 显示省略号 */
}
.chatConversationTime{
    position: absolute;
    right: 0px;
    top: 0px;
    height: 100%;
    line-height: 40px;
    width: 80px;
    color: #CCCCCC;
}
.chatConversationDeleteBtn{
    position: absolute;
    right: 8px;
    top: 8px;
    width: 24px;
    height: 24px;
    background-image: url("../image/delete.png");
    background-size: 24px 24px;
    background-repeat: no-repeat;
    display: none;
}
.chatConversationItem:hover{
    background-color: #d5e7f8;
}
.chatConversationItem:hover .conversationDeleteBtn{
    display: block;
}
.chatConversationItem:hover .conversationTime{
    display: none;
}
.chatConversationItemActive{
    background-color: #d9ecff;
    font-weight: 600;
}
.chatConversationItemActive .conversationTime{
    color: #888888;
    font-weight: 400;
}
.chatUserMessageItemContainer{
    position: relative;
    width: 100%;
    height: auto;
    padding: 5px;
    min-height: 60px;
    display: table;
}
.chatUserLogo{
    position: absolute;
    right: 10px;
    top: 5px;
    width: 48px;
    height: 48px;
    border: solid 1px #f2f2f2;
    background-color: #f2f2f2;
    border-radius: 10px;
    background-image: url("../image/user.png");
    background-repeat: no-repeat;
    background-size: 36px 36px;
    background-position: center;
}
.chatUserMessageText{
    position: relative;
    width: auto;
    height: auto;
    max-width: 1200px;
    margin-right: 70px;
    margin-left: 70px;
    min-height: 30px;
    background-color: #e0dfff;
    border-radius: 10px;
    padding: 10px;
    float: right;
    z-index: 2;
}
.chatUserMessageTime{
    position: absolute;
    width: 60px;
    text-align: center;
    height: auto;
    color: #AAAAAA;
    display: none;
    top: 60px;
    right: 5px;
    font-size: 10px;
}
.chatUserMessageItemContainer:hover .userMessageTime{
    display: block;
}
.chatAiMessageItemContainer{
    position: relative;
    width: 100%;
    height: auto;
    padding: 5px;
    min-height: 60px;
    display: table;
}
.chatAiLogo{
    position: absolute;
    left: 10px;
    top: 5px;
    width: 48px;
    height: 48px;
    border: solid 1px #f2f2f2;
    background-color: #f2f2f2;
    border-radius: 10px;
    background-image: url("../image/ai.png");
    background-repeat: no-repeat;
    background-size: 36px 36px;
    background-position: center;
}
.chatAiMessageText{
    position: relative;
    width: auto;
    height: auto;
    max-width: 1200px;
    margin-right: 70px;
    margin-left: 70px;
    min-height: 30px;
    background-color: #ffffff;
    border-radius: 10px;
    padding: 10px;
    z-index: 2;
}
.chatAiMessageTime{
    position: absolute;
    width: 60px;
    text-align: center;
    height: auto;
    float: left;
    color: #AAAAAA;
    display: none;
    top: 60px;
    left: 5px;
    font-size: 10px;
}
.chatAiMessageItemContainer:hover .aiMessageTime{
    display: block;
}
.chatLineHr{
    position: absolute;
    top: -12px;
    left: 0px;
    width: 100%;
    border-color: #f4f4f4;
}
.chatMoreHistoryMessageContainer{
    position: relative;
    height: 30px;
    text-align: center;
    margin: 10px;
    font-size: 13px;
}
.chatMoreHistoryMessageBtn{
    position: relative;
    color: #AAAAAA;
    cursor: pointer;
    border-radius: 5px;
    padding: 5px;
    border: solid 1px #EEEEEE;
    background-color: #f8f8f8;
}
.chatNoMoreHistoryMessageBtn{
    position: relative;
    color: #DDDDDD;
    padding: 5px;
    background-color: #f8f8f8;
}